## org.gjt.sp.jedit
Class EBMessage.NonVetoable

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.EBMessage.NonVetoable

Enclosing class:
  EBMessage

Deprecated. Subclass `EBMessage` instead.

public abstract static class EBMessage.NonVetoable
extends EBMessage

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EBMessage
`EBMessage.NonVetoable`

Constructor Summary
`EBMessage.NonVetoable(EBComponent source)` Deprecated. Creates a new non-vetoable message.

Method Summary
`void` `veto()` Deprecated. Disallows this message from being vetoed.

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, isVetoed, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EBMessage.NonVetoable

    public EBMessage.NonVetoable(EBComponent source)

  Deprecated.
  Creates a new non-vetoable message.

Parameters:
  `source` - The message source

Method Detail

### veto

    public void veto()

  Deprecated.
  Disallows this message from being vetoed.

  Overrides:
    `veto` in class `EBMessage`